<?php

/*
 * Squelette : ../plugins/champs_extras3_interface/champs_extras3_interface/formulaires/editer_champs_extras.html
 * Date :      Wed, 23 Dec 2015 12:09:00 GMT
 * Compile :   Fri, 15 Jul 2016 07:46:34 GMT
 * Boucles :   _si_editable
 */ 

function BOUCLE_si_editablehtml_d8018c8070456611c861cf6f657af10d(&$Cache, &$Pile, &$doublons, &$Numrows, $SP) {

	static $command = array();
	static $connect;
	$command['connect'] = $connect = '';
	if (!isset($si_init)) { $command['si'] = array(); $si_init = true; }
	$command['si'][] = interdire_scripts(entites_html(table_valeur(@$Pile[0], (string)'editable', null),true));

	if (!isset($command['table'])) {
		$command['table'] = '';
		$command['id'] = '_si_editable';
		$command['from'] = array();
		$command['type'] = array();
		$command['groupby'] = array();
		$command['select'] = array("1");
		$command['orderby'] = array();
		$command['where'] = 
			array();
		$command['join'] = array();
		$command['limit'] = '';
		$command['having'] = 
			array();
	}
	if (defined("_BOUCLE_PROFILER")) $timer = time()+microtime();
	$t0 = "";
	// REQUETE
	$iter = IterFactory::create(
		"CONDITION",
		$command,
		array('../plugins/champs_extras3_interface/champs_extras3_interface/formulaires/editer_champs_extras.html','html_d8018c8070456611c861cf6f657af10d','_si_editable',11,$GLOBALS['spip_lang'])
	);
	if (!$iter->err()) {
	
	$l1 = _T('saisies:construire_attention_enregistrer');
	$l2 = _T('public|spip|ecrire:bouton_enregistrer');
	$l3 = _T('public|spip|ecrire:bouton_annuler');
	$l4 = _T('public|spip|ecrire:bouton_enregistrer');$SP++;
	// RESULTATS
	while ($Pile[$SP]=$iter->fetch()) {

		$t0 .= (
'
	<form method=\'post\' action=\'' .
interdire_scripts(entites_html(table_valeur(@$Pile[0], (string)'action', null),true)) .
'\'><div>
		' .
	'<div>' .
	form_hidden(interdire_scripts(entites_html(table_valeur(@$Pile[0], (string)'action', null),true))) .
	'<input name=\'formulaire_action\' type=\'hidden\'
		value=\'' . @$Pile[0]['form'] . '\' />' .
	'<input name=\'formulaire_action_args\' type=\'hidden\'
		value=\'' . @$Pile[0]['formulaire_args']. '\' />' .
	(!empty($Pile[0]['_hidden']) ? @$Pile[0]['_hidden'] : '') .
	'</div>
		<!--extra-->
		<p class="boutons">
			<span class="image_loading"></span>
			' .
(($t1 = strval(interdire_scripts(((table_valeur(@$Pile[0], (string)'message_erreur', null)) ?'' :' '))))!=='' ?
		($t1 . (	'
			<em class="attention">' .
	$l1 .
	'</em>
			<button type="submit" class="submit">
				<img src="' .
	find_in_path('images/formulaire-enregistrer-16.png') .
	'" alt="" />
				' .
	$l2 .
	'
			</button>
			')) :
		'') .
'
			' .
(($t1 = strval(interdire_scripts(((table_valeur(@$Pile[0], (string)'message_erreur', null)) ?' ' :''))))!=='' ?
		($t1 . (	'
			<button type="submit" class="link" name="annulation" value="oui">
				' .
	$l3 .
	'
			</button>
			<button type="submit" class="submit" name="confirmation" value="oui">
				<img src="' .
	find_in_path('images/formulaire-enregistrer-16.png') .
	'" alt="" />
				' .
	$l2 .
	'
			</button>
			')) :
		'') .
'
		</p>
	</div></form>
	');
	}
	$iter->free();
	}
	if (defined("_BOUCLE_PROFILER")
	AND 1000*($timer = (time()+microtime())-$timer) > _BOUCLE_PROFILER)
		spip_log(intval(1000*$timer)."ms BOUCLE_si_editable @ ../plugins/champs_extras3_interface/champs_extras3_interface/formulaires/editer_champs_extras.html","profiler"._LOG_AVERTISSEMENT);
	return $t0;
}

//
// Fonction principale du squelette ../plugins/champs_extras3_interface/champs_extras3_interface/formulaires/editer_champs_extras.html
// Temps de compilation total: 2.295 ms
//

function html_d8018c8070456611c861cf6f657af10d($Cache, $Pile, $doublons = array(), $Numrows = array(), $SP = 0) {

	if (isset($Pile[0]["doublons"]) AND is_array($Pile[0]["doublons"]))
		$doublons = nettoyer_env_doublons($Pile[0]["doublons"]);

	$connect = '';
	$page = (
'<div class="formulaire_spip formulaire_editer formulaire_' .
interdire_scripts(@$Pile[0]['form']) .
'">
	' .
(($t1 = strval(interdire_scripts(table_valeur(@$Pile[0], (string)'message_ok', null))))!=='' ?
		('<p class="reponse_formulaire reponse_formulaire_ok">' . $t1 . '</p>') :
		'') .
'
	' .
(($t1 = strval(interdire_scripts(table_valeur(@$Pile[0], (string)'message_erreur', null))))!=='' ?
		('<p class="reponse_formulaire reponse_formulaire_erreur">' . $t1 . '</p>') :
		'') .
'

	' .
(($t1 = strval(interdire_scripts(((table_valeur(@$Pile[0], (string)'message_erreur', null)) ?'' :' '))))!=='' ?
		($t1 . (	'
	<div class="ajax">
		' .
	executer_balise_dynamique('FORMULAIRE_CONSTRUIRE_FORMULAIRE',
	array((	'champs_extras_' .
		interdire_scripts(entites_html(table_valeur(@$Pile[0], (string)'table', null),true))),interdire_scripts(entites_html(table_valeur(@$Pile[0], (string)'_saisies', null),true)),interdire_scripts(entites_html(table_valeur(@$Pile[0], (string)'_options', null),true))),
	array('../plugins/champs_extras3_interface/champs_extras3_interface/formulaires/editer_champs_extras.html','html_d8018c8070456611c861cf6f657af10d','',7,$GLOBALS['spip_lang'])) .
	'</div>
	')) :
		'') .
'
	
	' .
BOUCLE_si_editablehtml_d8018c8070456611c861cf6f657af10d($Cache, $Pile, $doublons, $Numrows, $SP) .
'
</div>
');

	return analyse_resultat_skel('html_d8018c8070456611c861cf6f657af10d', $Cache, $page, '../plugins/champs_extras3_interface/champs_extras3_interface/formulaires/editer_champs_extras.html');
}
?>